package com.goldenwater.slaj.eme.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.goldenwater.slaj.eme.domain.BusiTeamInfo;

/**
 * 应急救援队伍 数据层
 */
@Mapper
public interface BusiTeamInfoMapper {

    /**
     * 查询应急救援队伍
     * @param guid 查询条件
     * @return 应急救援队伍
     */
    BusiTeamInfo selectBusiTeamInfoByGuid(String guid);

    /**
     * 查询应急救援队伍列表
     * @param busiTeamInfo 查询条件
     * @return 应急救援队伍集合
     */
    List<BusiTeamInfo> selectBusiTeamInfoList(BusiTeamInfo busiTeamInfo);

    /**
     * 新增应急救援队伍
     * @param busiTeamInfo 应急救援队伍
     * @return 影响行数
     */
    int insertBusiTeamInfo(BusiTeamInfo busiTeamInfo);

    /**
     * 修改应急救援队伍
     * @param busiTeamInfo 应急救援队伍
     * @return 影响行数
     */
    int updateBusiTeamInfo(BusiTeamInfo busiTeamInfo);

    /**
     * 删除应急救援队伍
     * @param guid 主键
     * @return 影响行数
     */
    int deleteBusiTeamInfoByGuid(String guid);

    /**
     * 批量删除应急救援队伍
     * @param guids 主键数组
     * @return 影响行数
     */
    int deleteBusiTeamInfoByGuids(String[] guids);
}
